


    set A32Base [third [split $AddressData :]]


   DefineRegister $Module xVME ConfigReload        "-a $A32Base -w 32 -o 0xef34 -p wo -d 32"
   DefineRegister $Module xVME Clear               "-a $A32Base -w 32 -o 0xef28 -p wo -d 32"
   DefineRegister $Module xVME Reset               "-a $A32Base -w 32 -o 0xef24 -p wo -d 32"

   DefineRegister $Module xVME Scratch             "-a $A32Base -w 32 -o 0xef20 -p rw -d 32 -l 0 -b 0 -z x"

   DefineRegister $Module xVME FlashEnable         "-a $A32Base -w 32 -o 0xef2c -p rw -d 32 -l 0 -b 0 -z x"

   DefineRegister $Module xVME FlashData           "-a $A32Base -w 32 -o 0xef30 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME BLTEventNum         "-a $A32Base -w 32 -o 0xef1c -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME VMEBaseAddress      "-a $A32Base -w 32 -o 0xef10 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME MCSTBaseAddress     "-a $A32Base -w 32 -o 0xef0c -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME BoardID             "-a $A32Base -w 32 -o 0xef08 -p ro -d 32 -l 5 -b 0 -z x"
   DefineRegister $Module xVME VMEStatus           "-a $A32Base -w 32 -o 0xef04 -p ro -d 32 -l 4 -b 0 -z x"
   DefineRegister $Module xVME VMEControl          "-a $A32Base -w 32 -o 0xef00 -p rw -d 32 -l 0 -b 0 -z d"

   DefineRegister $Module xVME EventSize           "-a $A32Base -w 32 -o 0x814c -p ro -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME MonitorMode         "-a $A32Base -w 32 -o 0x8144 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME BoardInfo           "-a $A32Base -w 32 -o 0x8140 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME MonitorDAC          "-a $A32Base -w 32 -o 0x8138 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME EventsStored        "-a $A32Base -w 32 -o 0x812c -p ro -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME FPGARev             "-a $A32Base -w 32 -o 0x8124 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ChEnable            "-a $A32Base -w 32 -o 0x8120 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME PostTrig            "-a $A32Base -w 32 -o 0x8114 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME FPIOControl         "-a $A32Base -w 32 -o 0x811c -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME FPIOData            "-a $A32Base -w 32 -o 0x8118 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME FPTrigOutEnable     "-a $A32Base -w 32 -o 0x8110 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME TrigSrcEnable       "-a $A32Base -w 32 -o 0x810c -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME SoftTrig            "-a $A32Base -w 32 -o 0x8108 -p wo -d 32"
   DefineRegister $Module xVME AcqStatus           "-a $A32Base -w 32 -o 0x8104 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME AcqControl          "-a $A32Base -w 32 -o 0x8100 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME CustomSize          "-a $A32Base -w 32 -o 0x8020 -p rw -d 32 -l 0 -b 0 -z d"

   DefineRegister $Module xVME BufferOrg           "-a $A32Base -w 32 -o 0x800c -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME ConfigClr           "-a $A32Base -w 32 -o 0x8008 -p wo -d 32"
   DefineRegister $Module xVME ConfigSet           "-a $A32Base -w 32 -o 0x8004 -p wo -d 32"
   DefineRegister $Module xVME Config              "-a $A32Base -w 32 -o 0x8000 -p rw -d 32 -l 0 -b 0 -z x"



   DefineRegister $Module xVME ADCConfig    "-a $A32Base -w 32 -o 0x809c -p rw -d 32"


   for {set ijk 0} {$ijk < 8} {incr ijk} {

      DefineRegister $Module xVME Grp$ijk.ADCConfig "-a $A32Base -w 32 -o [expr 0x109c+($ijk*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME Grp$ijk.DAC       "-a $A32Base -w 32 -o [expr 0x1098+($ijk*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME Grp$ijk.Bufs      "-a $A32Base -w 32 -o [expr 0x1094+($ijk*0x100)] -p ro -d 32 -l 0 -b 0 -z d"
      DefineRegister $Module xVME Grp$ijk.FPGARev   "-a $A32Base -w 32 -o [expr 0x108c+($ijk*0x100)] -p ro -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME Grp$ijk.Status    "-a $A32Base -w 32 -o [expr 0x1088+($ijk*0x100)] -p ro -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME Grp$ijk.ChTempMon  "-a $A32Base -w 32 -o [expr 0x10a8+($ijk*0x100)] -p ro -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME Grp$ijk.Threshold  "-a $A32Base -w 32 -o [expr 0x1080+($ijk*0x100)] -p rw -d 32 -l 0 -b 0 -z d"
   }


   DefineRegister $Module xVME DataItem            "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module bVME Output_Buffer       "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -z x -l 1024"

puts "Defined $Module"
